import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-21 15:08
 */
interface BusWhiteLotCU extends ConditionUtil<BusWhiteLotCU> {
    LOT_ID: FieldUtil<BusWhiteLotCU>;
    CODE: FieldUtil<BusWhiteLotCU>;
    REMARK: FieldUtil<BusWhiteLotCU>;
    CREATE_TIME: FieldUtil<BusWhiteLotCU>;
    UPDATE_TIME: FieldUtil<BusWhiteLotCU>;
}
declare class BusWhiteLotMU extends TableUtilImpl<BusWhiteLotCU, BusWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusWhiteLotCU;
    static get LOT_ID(): FieldUtil<BusWhiteLotCU>;
    static get CODE(): FieldUtil<BusWhiteLotCU>;
    static get REMARK(): FieldUtil<BusWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<BusWhiteLotCU>;
    static get UPDATE_TIME(): FieldUtil<BusWhiteLotCU>;
    get LOT_ID(): FieldUtil<BusWhiteLotCU>;
    get CODE(): FieldUtil<BusWhiteLotCU>;
    get REMARK(): FieldUtil<BusWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<BusWhiteLotCU>;
    get UPDATE_TIME(): FieldUtil<BusWhiteLotCU>;
}
export { BusWhiteLotMU, BusWhiteLotCU };
